import { EventTypes } from './EventTypes/EventTypes';
import { EventStoreFactory } from './Factory/EventStoreFactory';
import { Persistence } from './Persistence/Persistence';
import { ITransmuteFramework } from '../TransmuteFramework';
export declare class EventStore {
    framework: ITransmuteFramework;
    EventTypes: typeof EventTypes;
    EventStoreFactory: typeof EventStoreFactory;
    Persistence: typeof Persistence;
    constructor(framework: ITransmuteFramework);
    writeEsEvent: (eventStore: any, fromAddress: string, esEvent: EventTypes.IEsEvent) => Promise<EventTypes.ITransaction>;
    readEsEventValues: (eventStore: any, fromAddress: string, eventId: number) => Promise<any>;
    readTransmuteEvent: (eventStore: any, fromAddress: string, eventId: number) => Promise<EventTypes.ITransmuteEvent>;
    readTransmuteEvents: (eventStore: any, fromAddress: string, eventId?: number) => Promise<any[]>;
    writeTransmuteCommand: (eventStore: any, fromAddress: string, transmuteCommand: EventTypes.ITransmuteCommand) => Promise<EventTypes.ITransmuteCommandResponse>;
    writeTransmuteCommands: (eventStore: any, fromAddress: string, transmuteCommands: EventTypes.ITransmuteCommand[]) => Promise<EventTypes.ITransmuteCommandResponse[]>;
    readModelGenerator: (readModel: EventTypes.IReadModel, reducer: any, events: EventTypes.ITransmuteEvent[]) => EventTypes.IReadModel;
    maybeSyncReadModel: (eventStore: any, fromAddress: string, readModel: EventTypes.IReadModel, reducer: any) => Promise<EventTypes.IReadModel>;
    getCachedReadModel: (contractAddress: string, eventStore: any, fromAddress: string, readModel: EventTypes.IReadModel, reducer: any) => Promise<EventTypes.IReadModel>;
}
