'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const EventTypes_1 = require("../EventTypes/EventTypes");
var EventStoreFactory;
(function (EventStoreFactory) {
    EventStoreFactory.createEventStore = (factory, fromAddress) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        let tx = yield factory.createEventStore({
            from: fromAddress,
            gas: 2000000
        });
        let events = EventTypes_1.EventTypes.eventsFromTransaction(tx);
        return {
            events: events,
            tx: tx
        };
    });
    EventStoreFactory.getAllEventStoreContractAddresses = (factory, fromAddress) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        let addresses = yield factory.getEventStores({
            from: fromAddress
        });
        return addresses;
    });
})(EventStoreFactory = exports.EventStoreFactory || (exports.EventStoreFactory = {}));
